| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Fields
OPA_T Struct Reference
Control Register

`#include <opa_reg.h>`

## Data Fields
__IO uint32_t | CTL
__IO uint32_t | STATUS
__IO uint32_t | CALCTL
__I uint32_t | CALST

## Detailed Description

    @addtogroup OPA OP Amplifier(OPA)
    Memory Mapped Structure for OPA Controller

Definition at line 26 of file opa_reg.h.

## Field Documentation

## ◆ CALCTL

OPA_T::CALCTL

[0x0008] OP Amplifier Calibration Control Register

CALCTL

Offset: 0x08 OP Amplifier Calibration Control Register

Bits | Field | Descriptions
[0] | CALTRG0 | OP Amplifier 0 Calibration Trigger Bit 0 = Stop, hardware auto clear. 1 = Start. Note: Before enable this bit, it should set OPEN0 in advance.
[1] | CALTRG1 | OP Amplifier 1 Calibration Trigger Bit 0 = Stop, hardware auto clear. 1 = Start. Note: Before enable this bit, it should set OPEN1 in advance.
[2] | CALTRG2 | OP Amplifier 2 Calibration Trigger Bit 0 = Stop, hardware auto clear. 1 = Start. Note: Before enable this bit, it should set OPEN2 in advance.
[16] | CALRVS0 | OPA0 Calibration Reference Voltage Selection 0 = VREF is AVDD. 1 = VREF from high vcm to low vcm.
[17] | CALRVS1 | OPA1 Calibration Reference Voltage Selection 0 = VREF is AVDD. 1 = VREF from high vcm to low vcm.
[18] | CALRVS2 | OPA2 Calibration Reference Voltage Selection 0 = VREF is AVDD. 1 = VREF from high vcm to low vcm.

Definition at line 309 of file opa_reg.h.

## ◆ CALST

OPA_T::CALST

[0x000c] OP Amplifier Calibration Status Register

CALST

Offset: 0x0C OP Amplifier Calibration Status Register

Bits | Field | Descriptions
[0] | DONE0 | OP Amplifier 0 Calibration Done Status 0 = Calibrating. 1 = Calibration Done.
[1] | CALNS0 | OP Amplifier 0 Calibration Result Status for NMOS 0 = Pass. 1 = Fail.
[2] | CALPS0 | OP Amplifier 0 Calibration Result Status for PMOS 0 = Pass. 1 = Fail.
[4] | DONE1 | OP Amplifier 1 Calibration Done Status 0 = Calibrating. 1 = Calibration Done.
[5] | CALNS1 | OP Amplifier 1 Calibration Result Status for NMOS 0 = Pass. 1 = Fail.
[6] | CALPS1 | OP Amplifier 1 Calibration Result Status for PMOS 0 = Pass. 1 = Fail.
[8] | DONE2 | OP Amplifier 2 Calibration Done Status 0 = Calibrating. 1 = Calibration Done.
[9] | CALNS2 | OP Amplifier 2 Calibration Result Status for NMOS 0 = Pass. 1 = Fail.
[10] | CALPS2 | OP Amplifier 2 Calibration Result Status for PMOS 0 = Pass. 1 = Fail.

Definition at line 310 of file opa_reg.h.

## ◆ CTL

OPA_T::CTL

[0x0000] OP Amplifier Control Register

CTL

Offset: 0x00 OP Amplifier Control Register

Bits | Field | Descriptions
[0] | OPEN0 | OP Amplifier 0 Enable Bit 0 = OP amplifier0 Disabled. 1 = OP amplifier0 Enabled. Note: OP Amplifier 0 output needs wait stable 20u03BCs after OPEN0 is set.
[1] | OPEN1 | OP Amplifier 1 Enable Bit 0 = OP amplifier1 Disabled. 1 = OP amplifier1 Enabled. Note: OP Amplifier 1 output needs wait stable 20u03BCs after OPEN1 is set.
[2] | OPEN2 | OP Amplifier 2 Enable Bit 0 = OP amplifier2 Disabled. 1 = OP amplifier2 Enabled. Note: OP Amplifier 2 output needs wait stable 20u03BCs after OPEN2 is set.
[4] | OPDOEN0 | OP Amplifier 0 Schmitt Trigger Non-inverting Buffer Enable Bit 0 = OP amplifier0 Schmitt Trigger non-invert buffer Disabled. 1 = OP amplifier0 Schmitt Trigger non-invert buffer Enabled.
[5] | OPDOEN1 | OP Amplifier 1 Schmitt Trigger Non-inverting Buffer Enable Bit 0 = OP amplifier1 Schmitt Trigger non-invert buffer Disabled. 1 = OP amplifier1 Schmitt Trigger non-invert buffer Enabled.
[6] | OPDOEN2 | OP Amplifier 2 Schmitt Trigger Non-inverting Buffer Enable Bit 0 = OP amplifier2 Schmitt Trigger non-invert buffer Disabled. 1 = OP amplifier2 Schmitt Trigger non-invert buffer Enabled.
[8] | OPDOIEN0 | OP Amplifier 0 Schmitt Trigger Digital Output Interrupt Enable Bit 0 = OP Amplifier 0 digital output interrupt function Disabled. 1 = OP Amplifier 0 digital output interrupt function Enabled. The OPDOIF0 interrupt flag is set by hardware whenever the OP amplifier 0 Schmitt Trigger non-inverting buffer digital output changes state, in the meanwhile, if OPDOIEN0 is set to 1, a comparator interrupt request is generated.
[9] | OPDOIEN1 | OP Amplifier 1 Schmitt Trigger Digital Output Interrupt Enable Bit 0 = OP Amplifier 1 digital output interrupt function Disabled. 1 = OP Amplifier 1 digital output interrupt function Enabled. OPDOIF1 interrupt flag is set by hardware whenever the OP amplifier 1 Schmitt trigger non-inverting buffer digital output changes state, in the meanwhile, if OPDOIEN1 is set to 1, a comparator interrupt request is generated.
[10] | OPDOIEN2 | OP Amplifier 2 Schmitt Trigger Digital Output Interrupt Enable Bit 0 = OP Amplifier 2 digital output interrupt function Disabled. 1 = OP Amplifier 2 digital output interrupt function Enabled. OPDOIF2 interrupt flag is set by hardware whenever the OP amplifier 2 Schmitt Trigger non-inverting buffer digital output changes state, in the meanwhile, if OPDOIEN2 is set to 1, a comparator interrupt request is generated.

Definition at line 307 of file opa_reg.h.

## ◆ STATUS

OPA_T::STATUS

[0x0004] OP Amplifier Status Register

STATUS

Offset: 0x04 OP Amplifier Status Register

Bits | Field | Descriptions
[0] | OPDO0 | OP Amplifier 0 Digital Output Synchronized to the APB clock to allow reading by software Cleared when the Schmitt Trigger buffer is disabled (OPDOEN0 = 0)
[1] | OPDO1 | OP Amplifier 1 Digital Output Synchronized to the APB clock to allow reading by software Cleared when the Schmitt Trigger buffer is disabled (OPDOEN1 = 0)
[2] | OPDO2 | OP Amplifier 2 Digital Output Synchronized to the APB clock to allow reading by software Cleared when the Schmitt Trigger buffer is disabled (OPDOEN2 = 0)
[4] | OPDOIF0 | OP Amplifier 0 Schmitt Trigger Digital Output Interrupt Flag OPDOIF0 interrupt flag is set by hardware whenever the OP amplifier 0 Schmitt Trigger non-inverting buffer digital output changes state This bit is cleared by writing 1 to it.
[5] | OPDOIF1 | OP Amplifier 1 Schmitt Trigger Digital Output Interrupt Flag OPDOIF1 interrupt flag is set by hardware whenever the OP amplifier 1 Schmitt Trigger non-inverting buffer digital output changes state This bit is cleared by writing 1 to it.
[6] | OPDOIF2 | OP Amplifier 2 Schmitt Trigger Digital Output Interrupt Flag OPDOIF2 interrupt flag is set by hardware whenever the OP amplifier 2 Schmitt Trigger non-inverting buffer digital output changes state This bit is cleared by writing 1 to it.

Definition at line 308 of file opa_reg.h.

The documentation for this struct was generated from the following file:

- Device/Nuvoton/M480/Include/opa_reg.h